      subroutine display(nf0,f1,df,
     $     specraw0,specmed0,specresh0,harmonic0,
     $     specback0,ftest,conf,fconf,
     $     whiteraw0,whiterob0,rhoraw0,rhorob0,
     $     tauraw0,taurob0,
     $     iplotresh,iplotftest,iplotsmoo,
     $     iplotraw,iplotconf)
c
      parameter (nlim=32768)
      integer iplotraw,iplotresh,iplotftest,iplotsmoo,
     $    iplotconf
      real fconf(6),conf(4)
      real specraw0(nlim),specmed0(nlim),specresh0(nlim),
     $   harmonic0(nlim),specback0(nlim),ftest(nlim)
      real whiteraw0,whiterob0,rhoraw0,rhorob0,tauraw0,taurob0
      real f1,df
      integer nf0
c
c     create output files
c
      open (unit=21,file='spec-raw.out',status='unknown')
      open (unit=22,file='spec-resh.out',status='unknown')
      open (unit=23,file='spec-smoo.out',status='unknown')
      open (unit=24,file='spec-conf.out',status='unknown')
      do i=1,nf0-1
           ff = f1+float(i-1)*df
           if (iplotraw.eq.1) write (21,652) ff,specraw0(i)
           if (iplotresh.eq.1) write (22,653) ff,specresh0(i),
     $          harmonic0(i)
           if (iplotsmoo.eq.1) write (23,652) ff,specmed0(i)
           if (iplotconf.eq.1) write (24,654) ff,
     $       specback0(i)*conf(1),specback0(i)*conf(2),
     $       specback0(i)*conf(3),specback0(i)*conf(4)
      end do
      close (unit=21)
      close (unit=22)
      close (unit=23)
      close (unit=24)
      open (unit=25,file='ftest.out',status='unknown')
      do i=1,nf0-1
           ff = f1+float(i-1)*df
           write (25,655) ff,ftest(i),fconf(1),fconf(2),
     $        fconf(3),fconf(4)
      end do
      close (unit=25)
c
c
      open (unit=27,file='mtm-spec.inf',status='unknown')
      write (27,*) 'raw determination:'
      write (27,*) '    white noise variance: ',whiteraw0
      write (27,*) '    rho: ',rhoraw0
      write (27,*) '    tau: ',tauraw0
      write (27,*) 'robust determination:'
      write (27,*) '    white noise variance: ',whiterob0
      write (27,*) '    rho: ',rhorob0
      write (27,*) '    tau: ',taurob0
      close (unit=27)
c
8888  continue
c
652   format (f7.4,e32.8)
653   format (f7.4,2e30.8)
654   format (f7.4,1x,4e17.3)
655   format (f7.4,1x,5e14.2)
c
      return
      end
